/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:03:07.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseRefreshReq;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;

import java.util.ArrayList;
import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public class CourseStatisticServiceTest extends BaseTest {
    @Autowired
    private CourseStatisticService courseStatisticService;

    @Test
    public void getCourseStatisticListTest() throws Exception {
        CourseStatisticQuery query = new CourseStatisticQuery();
        query.setOrgId(1L);
        query.setExamId(1L);
        query.setCourseId(1L);
        query.setPaperStatus(0);
        //query.setPaperId(1L);
        Page<CourseStatisticInfo> page = courseStatisticService.getCourseStatisticList(query);
        System.out.println(jsonMapper.toJson(page));
    }

    @Test
    public void initCourseStatisticTest() throws Exception {
        CourseRefreshReq req = new CourseRefreshReq();
        req.setOrgId(109L);
        req.setExamId(178L);
        List<CourseRefreshReq.Course> courses = new ArrayList<>();
        courses.add(new CourseRefreshReq.Course(262L, "O"));
        courses.add(new CourseRefreshReq.Course(263L, "O"));
        req.setCourses(courses);
        courseStatisticService.initCourseStatistic(req);

        //courseStatisticService.initAllCourseStatistic();
        //courseStatisticService.syncCourseNameByCourseId(262L, "测试课程");
    }

}